cURL
curl --request GET \
--url https://test.deribit.com/api/v2/private/remove_api_key \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 8190,
"method": "private/remove_api_key",
"params": {
"id": 2
}
}
'import requests
url = "https://test.deribit.com/api/v2/private/remove_api_key"
payload = {
"jsonrpc": "2.0",
"id": 8190,
"method": "private/remove_api_key",
"params": { "id": 2 }
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({jsonrpc: '2.0', id: 8190, method: 'private/remove_api_key', params: {id: 2}})
};
fetch('https://test.deribit.com/api/v2/private/remove_api_key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 1569,
"result": "ok"
}Account Management
private/remove_api_key
Permanently deletes an API key from your account. This operation cannot be undone. Once removed, the API key can no longer be used to authenticate requests, and all applications using this key will lose access.
Consider disabling the key first if you want to temporarily suspend access, as disabled keys can be re-enabled later.
📖 Related Article: Creating new API key on Deribit
Scope: account:read_write
cURL
Query Parameters
API key ID
Example:
1
Was this page helpful?
⌘I